#include <stdio.h>


int main () {
  
  int n,i,k;
  
  scanf("%d",&n);
  
  if(n<=0){
    printf("-1\n");
    
    return 1;
  }
  
  for(i=1;i<=n;i++) {
   
  for(k=1;k%2==0;k++){
    printf("A");
  }
   printf("*\n");
  }
  return 0;
}
